<template>
	<view class="webview">
		<web-view :src="url" id="webcon" @message="handleMessage">
		</web-view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				url: '',
				device_id: '',
				accessToken: ''
			}
		},
		onLoad(options) {
			this.device_id = options.device_id
			this.accessToken = options.accessToken
			this.url = "https://wx.hnyfwlw.com/wechat?device_id=" + this.device_id + "&accessToken=" + this.accessToken
			// this.url = "http://192.168.0.36:8003/wechat?device_id=" + this.device_id + "&accessToken=" + this.accessToken
			//设置 webview 界面的状态栏的 title
			uni.setNavigationBarTitle({
				title: '监控详情'
			});
		},
		methods: {



		}
	}
</script>

<style>
	.webview {
		width: 100vw;
		height: 100vh;
	}
</style>
